
#include <stdio.h>
#include <Windows.h>
#include <WinSCard.h>

char szReaderName[255];

void main(int argc, char *argv[])
{
	SCARDCONTEXT hContext;
	SCARDHANDLE  hCard;
	DWORD        dwActiveProtocol;
	long         status, length;

	SCardEstablishContext(SCARD_SCOPE_SYSTEM, 0, 0, & hContext);
	
	status = SCardListReaders(hContext, NULL, szReaderName, & length);
	if(status == SCARD_S_SUCCESS)
		printf("Reader Name = %s\n", szReaderName);
	else
		printf("List Reader Error! Code = %X\n", status);

	status = SCardConnect(hContext, szReaderName, SCARD_SHARE_SHARED, 
		SCARD_PROTOCOL_T0 || SCARD_PROTOCOL_T1,
		& hCard, & dwActiveProtocol);

	if(status == SCARD_S_SUCCESS)
		printf("Card Connected!\n");
	else
		printf("Connect Error! Code = %X\n", status);
	
	SCardReleaseContext(hContext);
}